import request from '@/utils/request'

// 查询微信列表
export function listVx(query) {
  return request({
    url: '/tcZz/netManage/vx/list',
    method: 'get',
    params: query
  })
}

// 查询微信详细
export function getVx(id) {
  return request({
    url: '/tcZz/netManage/vx/' + id,
    method: 'get'
  })
}

// 新增微信
export function addVx(data) {
  return request({
    url: '/tcZz/netManage/vx',
    method: 'post',
    data: data
  })
}

// 修改微信
export function updateVx(data) {
  return request({
    url: '/tcZz/netManage/vx',
    method: 'put',
    data: data
  })
}

// 删除微信
export function delVx(id) {
  return request({
    url: '/tcZz/netManage/vx/' + id,
    method: 'delete'
  })
}

// 微信批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/vx/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/vx/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}